const path = require('path');
const resumeSrc = path.resolve(__dirname, '../web-common');
module.exports = {
  publicPath: process.env.NODE_ENV === 'development' ? '/' : process.env.VUE_APP_ROUTER,
  configureWebpack: config => {
    Object.assign(config, {
      // 开发生产共同配置
      resolve: {
        alias: {
          '@': path.resolve(__dirname, './src'),
          '@c': path.resolve(__dirname, './src/components'),
          '@a': path.resolve(__dirname, './src/assets'),
          '@publics': resumeSrc,
        },
      },
    });
  },
  devServer: {
    port: '8002',
    //api地址前缀
    proxy: {
      '/api': {
        target: 'http://smart.cc-lotus.info',
        changeOrigin: true,
        ws: true,
      },
      '/files': {
        target: 'http://smart.cc-lotus.info',
        changeOrigin: true,
        ws: true,
      },
      '/ws': {
        target: 'http://smart.cc-lotus.info',
        ws: true,
      },
      '/weixin': {
        target: 'http://smart.cc-lotus.info',
        changeOrigin: true,
        ws: true,
      },
      '/adminapi': {
        target: 'http://10.16.5.15:8105',
        ws: true,
      },
      '/napi': {
        target: 'http://10.16.11.186:8103',
        ws: true,
        pathRewrite: { '^/napi': '/api' },
      },
    },
  },
};
